# base64Encode

    text base64Encode(text, flags)

Encode a text as characters in the UTF-8 charset or an hexadecimal representation of bytes, to Base64.

Flags:

Flag | Description
--- | ---
`"c"` | Terminate lines with CRLF `\r\n` instead of LF `\n`
`"h"` | Expect the text to be an hexadecimal representation of bytes, see hexEncode function.
`"p"` | Omit the padding = characters at the end
`"u"` | Use the “URL and filename safe” variant, where - and _ are used in place of + and /
`"w"` | Omit all line terminators resulting in a single, possibly very long, line

## Parameters

1. text — text as characters in the UTF-8 charset or an hexadecimal representation of bytes.
2. flags — optional text where each character is a flag.

## Returns

- the text encoded as Base64.